# TODO: Complete me. ----- @@rhbecker
define shibbolethsp::mappedhost (
  $hostname = $title,
  $enable_lazy_sessions = $shibbolethsp::params::enable_lazy_sessions,
) {

  $safe_tmp_filename = regsubst($hostname, '/[:\/ ]+/', '.', 'G')
  $mapped_host_tmp_file = "/tmp/mapped-host_${safe_tmp_filename}"

  concat{ $mapped_host_tmp_file:
    owner => 'root',
    group => 'root',
    mode  => '0644',
  }

  concat::fragment{ "mapped-host-begin: ${hostname}":
    target  => $shibbolethsp::params::sp_config_file,
    content => template('shibbolethsp/shibboleth2.mapped-host.begin.xml.erb'),
    order   => 10,
  }
  concat::fragment{ "mapped-host: ${hostname}":
    target => $shibbolethsp::params::sp_config_file,
    source => $mapped_host_tmp_file,
    order  => 20,
  }
  concat::fragment{ "mapped-host-end: ${hostname}":
    target => $shibbolethsp::params::sp_config_file,
    content => template('shibbolethsp/shibboleth2.mapped-host.end.xml.erb'),
    order  => 80,
  }

  #Concat::Fragment<| target == $mapped_host_tmp_file |> -> Concat::Fragment["mapped-host: ${hostname}"]
  Concat[$mapped_host_tmp_file] -> Concat::Fragment["mapped-host: ${hostname}"]

}
